#! /usr/bin/bash

cd "$(dirname "$0")"
python3 -m venv venv &&
source venv/bin/activate &&
pip install --upgrade pip &&
pip install . &&
if [ "$#" -gt 1 ]
then
    exec -- "$@"
else
    echo Using shell "$SHELL"
    exec "$SHELL"
fi